<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>
<xsl:template match="/OMA">
<html>
<head>
	<link rel="stylesheet" type="text/css" href="/oma/docs/oma.css" />
	<xsl:if test="@skin != ''">
		<link rel="stylesheet" type="text/css">
			<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if>scheme.css</xsl:attribute>
		</link>
	</xsl:if>
	<script language="javascript">
	var g_bModal = false;
		function unlockPage()
		{
			var ctc = document.getElementById("ct");
			if( ctc != null)
			{
				parent.ct.clearLock ();
			}
		}
	
	<xsl:if test="Caller != '' ">
		
			function loadOrigPage()
			{
				document.location.href = '<xsl:value-of select="translate(Caller, ';', '&amp;amp;' )"/>' ;
			}
	
	</xsl:if>
	</script>
</head>
<body onload="javascript:unlockPage()">
<center>
<br></br>
<span class="data-area-page-title"><xsl:value-of select="$strTheActionPerformed"/><xsl:value-of select="$strColon"/><xsl:text> </xsl:text><xsl:call-template name="failure-reason" /><xsl:value-of select="$str"/></span>
<br></br>
<br></br>
<table border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td align="left" valign="middle">
			 <table width="100" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="14" height="25">
					<img style="width: 14px; height:25">
					<xsl:attribute name="src">/oma/<xsl:if test="/OMA/@skin != ''">skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/<xsl:value-of select="/OMA/@scheme"/>/</xsl:if></xsl:if>images/lbutton.gif</xsl:attribute>
					</img>
					</td>
					<td class="data-area-button" align="center" valign="middle">
						<xsl:choose>
							<xsl:when test="Caller !=''">
								<a href="javascript:loadOrigPage();"><xsl:value-of select="$strBack"/></a>
							</xsl:when>
							<xsl:otherwise>
								<a href="javascript:history.back();"><xsl:value-of select="$strBack"/></a>
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td width="14" height="25">
						<img style="width: 14px; height:25">
							<xsl:attribute name="src">/oma/<xsl:if test="/OMA/@skin != ''">skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/<xsl:value-of 	select="/OMA/@scheme"/>/</xsl:if></xsl:if>images/rbutton.gif</xsl:attribute>
						</img>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</center>
</body>
</html>
</xsl:template>

<xsl:template name="failure-reason">
		<xsl:choose>
			<xsl:when test="Failure/errID = '4'">
				<xsl:value-of select="$strWS_LASTERR_URL_MALFORMAT"/>
			</xsl:when>	
			<xsl:when test="Failure/errID = '6'">
				<xsl:value-of select="$strWS_LASTERR_COULDNT_RESOLVE_HOST"/>
			</xsl:when>	
			<xsl:when test="Failure/errID = '7'">
				<xsl:value-of select="$strWS_LASTERR_COULDNT_CONNECT"/>
			</xsl:when>	
			<xsl:when test="Failure/errID = '11'">
				<xsl:value-of select="$strWS_LASTERR_OUT_OF_MEMORY"/>
			</xsl:when>	
			<xsl:when test="Failure/errID = 12">
				<xsl:value-of select="$strWS_LASTERR_OPERATION_TIMEOUTED"/>
			</xsl:when>	
			<xsl:when test="Failure/errID = '16' || Failure/errID = '17' || Failure/errID = '20' || Failure/errID = '21' ">
				<xsl:value-of select="$strWS_LASTERR_SSL_CONNECT_ERROR"/>
			</xsl:when>	
			<xsl:when test="Failure/errID = '26'">
				<xsl:value-of select="$strWS_LASTERR_LOGIN_DENIED"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$strInternalError"/>
			</xsl:otherwise>
		</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
